Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80475 - Arrow keys do not work in vi (vim) with numlock on
Summary: Arrow keys do not work in vi (vim) with numlock on
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 00:57 UTC by Forrest
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-26 20:30:29 UTC


Attachments (Terms of Use)

Description Forrest 2002-12-27 00:57:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
The arrow keys do no work in vi (vim) when the numlock is on.  I get:
E388: Couldn't find definitions

When the numlock is off, the arrow keys work as expected.


Version-Release number of selected component (if applicable):
6.1-17

How reproducible:
Always

Steps to Reproduce:
1.  From terminal, start vi
2.  Enter some text (if it is a new file), or verify that the arrow keys work
3.  Turn on the numlock key, and try to use the arrow keys.
    

Actual Results:  E388: Couldn't find definitions

Comment 1 Need Real Name 2003-01-27 15:20:14 UTC
I get the same problem. Thanks for including the workaround.

Comment 2 Josiah Royse 2003-01-27 19:34:50 UTC
I also experienced this in Phoebe1, but the second Phoebe beta 8.0.93 it works:
version vim-*-6.1-23




Note You need to log in before you can comment on or make changes to this bug.